# Configure AWS Terraform

{% hint style="info" %}
**Prerequisite:** For installing or updating the latest versions, refer to the instructions in the [<mark style="color:blue;">AWS Terraform Provider</mark>](https://registry.terraform.io/providers/hashicorp/aws/latest/docs) documentation.
{% endhint %}

The following information must be specified in your Terraform provider configuration hcl:

1. **AWS Access Key ID**: Insert the **Access Key**. In the DCD, go to **Menu** > **Storage** > **IONOS Object Storage>** > **Key management** and check the **Access keys** section to find the essential details.
2. **AWS Secret Access Key**: Paste the **Secret Key**. In the DCD, go to **Menu** > **Storage** > **IONOS Object Storage** > **Key management** and check the **Access keys** section to find the essential details.
3. **skip\_credentials\_validation**: When set to `true`, it skips Security Token Service validation.
4. **skip\_requesting\_account\_id**: The account ID is not requested when set to `true`. It is useful for AWS API implementations that do not have the IAM, STS API, or metadata API.
5. **skip\_region\_validation**: The region name is not validated when set to `true`. It is useful for WS-like implementations that use their own region names.
6. **endpoints**: For the list of <code class="expression">space.vars.ionos\_cloud\_object\_storage</code> Service endpoints, see [<mark style="color:blue;">Endpoints</mark>](https://docs.ionos.com/cloud/backup-and-storage/ionos-object-storage/endpoints).

```hcl
provider "aws" {
  region                      = "de"
  access_key                  = "access_key_here"
  secret_key                  = "secret_key_here"
  # all these checks need to be skipped for an s3 external provider
  skip_credentials_validation = true
  skip_requesting_account_id  = true
  skip_region_validation      = true
  endpoints {
     s3 = "https://s3-eu-central-1.ionoscloud.com"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/cloud/backup-and-storage/ionos-object-storage/s3-tools/awsterraform/awsterraform-configure.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
